
Foreman - Bug #5708

iPXE template fails with undefined method 'nil?' for Safemode::Jail (Token)"

05/14/2014 12:49 AM - Dane Butler

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.5.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1107694 Red Hat JIRA:  

Pull request:    

Description

Error code 1d0c61: http://ipxe.org/err/1d0c61

Affects Foreman 1.5.0, always reproducable on my end.

Associated revisions

Revision 3ff2bba4 - 06/10/2014 03:57 PM - Dmitri Dolguikh 

fixes #5708: #nil? is now an allowed method inside of Host and Token jails

Revision 11036a8d - 06/11/2014 01:02 PM - Dmitri Dolguikh 

fixes #5708: #nil? is now an allowed method inside of Host and Token jails

(cherry picked from commit 3ff2bba4ef3987b131b49912fdd92bbf67f9c1ba)

History

#1 - 05/14/2014 08:23 AM - Dominic Cleal

- Status changed from New to Need more information

Can you check /var/log/foreman/production.log when you provision?  I'm interested to see if any requests reach Foreman, and if they complete

successfully.

#2 - 05/14/2014 10:32 PM - Dane Butler

It does hit but doesn't explain much:

Started GET "/unattended/iPXE?token=4890cccd-e5c9-4900-b0fb-dbdc4831ea13&mac=00%3A50%3A56%3Ab9%3A71%3Aae" for 10.145.192.101

at 2014-05-14 22:32:11 +0000

Processing by UnattendedController#iPXE as HTML

Parameters: {"token"=>"4890cccd-e5c9-4900-b0fb-dbdc4831ea13", "mac"=>"00:50:56:b9:71:ae"}

Found ipa-evl-01.airservices.gov.au

Rendered inline template (15.0ms)

Rendered text template (0.0ms)

Completed 500 Internal Server Error in 34ms (Views: 0.5ms | ActiveRecord: 0.5ms)

#3 - 05/15/2014 08:19 AM - Dominic Cleal

The 500 error is a good indication.  Try viewing the host page, then under the Templates tab preview the iPXE template and see what error is

reported.

#4 - 05/19/2014 12:53 AM - Dane Butler

See it:

"There was an error rendering the Kickstart default iPXE template: undefined method 'nil?' for Safemode::Jail (Token)"

Changing "safemode_render" has resolved this issue. I remember 1.4.x actually prevented you from downloading the iso until this change was made.

Suggest bringing this failsafe back.
#5 - 05/19/2014 07:32 AM - Dominic Cleal

- Project changed from Boot disk to Foreman

- Subject changed from VM won't provision with ipxe: Error 1d0c61 to iPXE template fails with undefined method 'nil?' for Safemode::Jail (Token)"

- Status changed from Need more information to New

- Assignee deleted (Dominic Cleal)

- translation missing: en.field_release set to 16

The hope was that all of the safemode issues had been resolved, sorry!

I think we can either add .nil? to the permitted methods on Token, or update the template to always assume there's a token.

#6 - 05/19/2014 07:32 AM - Dominic Cleal

- Category set to Templates

#7 - 05/19/2014 12:28 PM - Dominic Cleal

- Target version set to 1.8.2

#8 - 06/06/2014 10:02 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#9 - 06/09/2014 03:17 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1506

#10 - 06/10/2014 12:50 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107694

#11 - 06/10/2014 04:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ff2bba4ef3987b131b49912fdd92bbf67f9c1ba.
